package com.bocloud.cmp.model.azure.monitor;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: MetricCriteriaModel
 * @Description:规则集合
 * @author: zhenpingLi/李振平
 * @date: 2021/1/8 14:44
 */
public class MetricCriteriaModel {
    private String metricNamespace;//度量值的命名空间。
    private String metricName;//指标名称
    private String name;//规则名称
    private String operator;//条件运算符。Equals、GreaterThan、GreaterThanOrEqual、LessThan、LessThanOrEqual、NotEquals
    private String timeAggregation;//条件时间聚合类型。Average、Count、Maximum、Minimum、Total
    private Integer threshold;//激活警报的条件阈值。
    private String criterionType;
    private String metricAlertUuid;

    public String getMetricAlertUuid() {
        return metricAlertUuid;
    }

    public void setMetricAlertUuid(String metricAlertUuid) {
        this.metricAlertUuid = metricAlertUuid;
    }

    public String getCriterionType() {
        return criterionType;
    }

    public void setCriterionType(String criterionType) {
        this.criterionType = criterionType;
    }

    public String getMetricNamespace() {
        return metricNamespace;
    }

    public void setMetricNamespace(String metricNamespace) {
        this.metricNamespace = metricNamespace;
    }

    public String getMetricName() {
        return metricName;
    }

    public void setMetricName(String metricName) {
        this.metricName = metricName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getTimeAggregation() {
        return timeAggregation;
    }

    public void setTimeAggregation(String timeAggregation) {
        this.timeAggregation = timeAggregation;
    }

    public Integer getThreshold() {
        return threshold;
    }

    public void setThreshold(Integer threshold) {
        this.threshold = threshold;
    }
}